<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('plans_v1', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable();
            $table->string('currency')->nullable();
            $table->decimal('price', 8, 2)->nullable();
            $table->string('list_one_title')->nullable();
            $table->string('list_two_title')->nullable();
            $table->string('list_sub_title')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('plans_v1');
    }
};
